#include <iostream>

using namespace std;

int main()
{
    long long int n, q, i, j, d;
    cin >> n;
    long long int a[n];
    for(i=1; i<=n; i++)
        cin >> a[i];
    cin >> q;
    long long int b[q][2];
    for(i=1; i<=q; i++)
        for(j=1; j<=2; j++)
            cin >> b[i][j];
    long long int c[n];
    long long int k, l, r, br;
    for(i=1; i<=q; i++)
    {
        l=b[i][1];
        r=b[i][2];
        k=0;
        for(j=l; j<=r; j++)
        {
            c[k]=a[j];
            k++;
        }
        br=0;
        for(d=0; d<k-1; d++)
        {
            if(c[d+1]<c[d])
            br++;
        }
        if(br==1 || br==0)
            cout << "DA \n";
        else
            cout << "NE \n";
    }
    return 0;
}